%define name xrandr
%define version 1.4.0
%define rel 1
%define git 0

%if %{git}
%define distname %{name}-%{git}
%define release %mkrel 2.%{git}.%rel
%else
%define distname %{name}-%{version}
%define release %mkrel %rel
%endif

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Primitive command line interface to RandR extension
Group: System/X11
Source: http://xorg.freedesktop.org/releases/individual/app/%{distname}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxrandr-devel >= 1.1.0.2
BuildRequires: libxrender-devel >= 0.9.0.2
BuildRequires: x11-util-macros >= 1.0.1

%description
Xrandr is a command line application used to set the screen size,
orientation, reflection and/or the active display(s) using the RandR
extension.

%prep
%setup -q -n %{distname}
%if %{git}
autoreconf -fi
%endif

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std
# (cg) NB Until we package nickle and cairo-5c (that works) kill this.
rm -f %{buildroot}/%{_bindir}/xkeystone

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
#%{_bindir}/xkeystone
%defattr(-,root,man)
%{_mandir}/man1/%{name}.1.*


%changelog

* Sat Feb 23 2013 tmb <tmb> 1.4.0-1.mga3
+ Revision: 400097
- 1.4.0 (full support for RandR 1.4 provided by x11-server 1.13.3-rc1+)

* Mon Jan 14 2013 umeabot <umeabot> 1.3.5-2.20120910.2.mga3
+ Revision: 387352
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 blino <blino> 1.3.5-2.20120910.1.mga3
+ Revision: 292040
- update to git snapshot of 20120910 for provider interfaces support (PRIME multi-gpu support)

* Thu Jun 30 2011 tv <tv> 1.3.5-1.mga2
+ Revision: 116947
- new release

* Thu Jan 20 2011 pterjan <pterjan> 1.3.4-1.mga1
+ Revision: 26595
- imported package xrandr

